#include<stdio.h>
int Stalaktiti(int n, float L){
    float H;
    for(int i=1;i<=n;i++){
        scanf("%f",&H);
        if(H<=L)return i;
    }
    return -1;
}

int main(){
    int n,i;
    float L,H; 
    scanf("%d%f",&n,&L);
    i=Stalaktiti(n,L);
    printf("%d",i);

}